{{/* AUTOGENERATED FILE DO NOT EDIT */}}

{{/*
Operator mutating webhooks
*/}}
{{- define "airlock-microgateway-operator.mutatingWebhooks" -}}
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /mutate-v1-pod
  failurePolicy: Fail
  name: mutate-pod.microgateway.airlock.com
  reinvocationPolicy: IfNeeded
  rules:
    - apiGroups:
        - ""
      apiVersions:
        - v1
      operations:
        - CREATE
      resources:
        - pods
  sideEffects: None
  objectSelector:
    matchLabels:
      sidecar.microgateway.airlock.com/inject: "true"
{{- end }}

{{/*
Operator validating webhooks
*/}}
{{- define "airlock-microgateway-operator.validatingWebhooks" -}}
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-v1-pod
  failurePolicy: Fail
  name: validate-pod.microgateway.airlock.com
  rules:
    - apiGroups:
        - ""
      apiVersions:
        - v1
      operations:
        - CREATE
        - UPDATE
      resources:
        - pods
  sideEffects: None
  objectSelector:
    matchLabels:
      sidecar.microgateway.airlock.com/inject: "true"
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-accesscontrol
  failurePolicy: Fail
  name: validate-accesscontrol.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - accesscontrols
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-denyrules
  failurePolicy: Fail
  name: validate-denyrules.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - denyrules
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-envoycluster
  failurePolicy: Fail
  name: validate-envoycluster.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - envoyclusters
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-envoyhttpfilter
  failurePolicy: Fail
  name: validate-envoyhttpfilter.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - envoyhttpfilters
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-graphql
  failurePolicy: Fail
  name: validate-graphql.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - graphqls
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-headerrewrites
  failurePolicy: Fail
  name: validate-headerrewrites.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - headerrewrites
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-identitypropagation
  failurePolicy: Fail
  name: validate-identitypropagation.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - identitypropagations
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-limits
  failurePolicy: Fail
  name: validate-limits.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - limits
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-oidcprovider
  failurePolicy: Fail
  name: validate-oidcprovider.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - oidcproviders
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-oidcrelyingparty
  failurePolicy: Fail
  name: validate-oidcrelyingparty.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - oidcrelyingparties
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-openapi
  failurePolicy: Fail
  name: validate-openapi.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - openapis
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-parser
  failurePolicy: Fail
  name: validate-parser.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - parsers
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-redisprovider
  failurePolicy: Fail
  name: validate-redisprovider.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - redisproviders
  sideEffects: None
- admissionReviewVersions:
    - v1
  clientConfig:
    service:
      name: airlock-microgateway-operator-webhook
      namespace: '{{ .Release.Namespace }}'
      path: /validate-microgateway-airlock-com-v1alpha1-sidecargateway
  failurePolicy: Fail
  name: validate-sidecargateway.microgateway.airlock.com
  rules:
    - apiGroups:
        - microgateway.airlock.com
      apiVersions:
        - v1alpha1
      operations:
        - CREATE
        - UPDATE
      resources:
        - sidecargateways
  sideEffects: None
{{- end }}
